io_receivefd(3)

NAME
io_receivefd - receive a file descriptor over a Unix Domain socket

SYNTAX
#include <libowfat/io.h>

int64 io_receivefd(int64 sock);

DESCRIPTION
io_receivefd receives a file descriptor from the Unix Domain socket sock. You can send a descriptor using io_passfd(3).

io_receivefd returns -1 on error or the file descriptor.

The underlying Unix API can send more than one descriptor at the time. This function expects only one descriptor and will return the first one if more than one were sent.

SEE ALSO
io_passfd(3)